Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ant
Class VerifyClass

Verify Class files. This task can take the following arguments:

- dir

When this task executes, it will recursively scan the dir and look for class files to verify.

Field Summary
`String` | `topDir`
`boolean` | `verbose`

Constructor Summary
`VerifyClass()`

Method Summary
`void` | `execute()`
`int` | `execute(File dir)`
`boolean` | `readClass(String clazz)`
`void` | `setDir(String dir)`
`void` | `setVerbose(boolean v)`

Constructor Detail

### VerifyClass

    public VerifyClass()

Method Detail

### execute

    public void execute()

### execute

    int execute(File dir)

### readClass

    boolean readClass(String clazz)

### setDir

    public void setDir(String dir)

### setVerbose

    public void setVerbose(boolean v)